<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Dispositivo extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    public function getUser()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function getAcessos()
    {
        return $this->hasMany(Acesso::class, 'dispositivo_id', 'id');
    }
}
